
.section__block {
    background-color: $main-0;
    border-radius: 8px;
    overflow: hidden;
    position: relative;

    .section__tabs {
        display: flex;
        grid-gap: 24px;
        padding: 32px 24px 15px;
        border-bottom: 1px solid $main-4;

        @media (max-width: 1024px) {
            width: inherit;
            overflow-x: scroll;
            overflow-y: hidden;
            @include scrollbarTransparent;
        }

        @media (max-width: 576px) {
            padding: 20px 24px 15px;
        }

        .section__tab {
            @include f14w400upM6;
            display: flex;
            white-space: nowrap;
            transition: 0.3s ease;
            
            &:after {
                transition: 0.3s ease;
                position: absolute;
                content: '';
                bottom: -16px;
                left: -15px;
                height: 1px;
                width: 100%;
            }

            &:hover {
                color: $main-8;
            }

            @media (max-width: 576px) {
                color: $main-5;
            }
        }

        .section__tab.active {
            color: $main-8;
            position: relative;

            &:after {
                // position: absolute;
                // content: '';
                bottom: -16px;
                left: 0;
                // height: 1px;
                // width: 100%;
                background-color: $purple-1;

                @media (max-width: 1024px) {
                    height: 2px;
                }
            }
            
        }
    }

    .section__contents {
        .section__content {
            display: none;

            .section__wrapper {
                padding: 24px;

                @media (max-width: 576px) {
                    padding: 16px;
                }
            }
        }

        .section__content.active {
            display: block;
        }
    }
}

.filter-table {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: end;
    background-color: $main-3;
    padding: 16px;
    grid-gap: 16px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border: 1px solid $main-4;

    @media (max-width: 1024px) {
        padding: 0;
        border: none;
    }

    @media (max-width: 576px) {
        flex-direction: column;
        align-items: baseline;
    }

    .filter-table__wrapper {
        display: flex;
        align-items: end;
        grid-gap: 16px;

        @media (max-width: 1024px) {
            position: absolute;
            display: none;
        }

        .filter-table__component {
            display: flex;
            flex-direction: column;
            grid-gap: 4px;

            .filter-table__label {
                @include f10w700upM8;
            }

            .filter-table__input {
                @include filterTableInput;
            }

            .filter-table__select {
                @media (max-width: 1280px) {
                    width: 145px;
                }
            }

            .active {
                display: flex;
            }
        }

        .sum-filter {
            position: relative;
            // width: 144px;

            .filter-table__input {
                width: 144px;

                @media (max-width: 1280px) {
                    width: 80px;
                }
            }

            .sum-icon {
                position: absolute;
                bottom: 13px;
                right: 5px;
            }

            .logo-rub {
                display: flex
            }

            .close-sum {
                display: none;
            }
        }

        .sum-filter.active {
            .logo-rub {
                display: none;
            }

            .close-sum {
                display: flex;
            }
        }
    }

    .filter__button {
        background-color: $main-8;
        color: $main-0;

        @media (max-width: 1440px) {
            position: absolute;
            top: 100px;
            right: 24px;
        }

        @media (max-width: 1024px) {
            top: 160px;
        }

        @media (max-width: 576px) {
            position: static;
            width: 100%;
        }

        @media (max-width: 425px) {
            padding: 12px 16px;
        }
    }

    .act__button {
        @media (max-width: 1024px) {
            top: 226px;
        }

        @media (max-width: 576px) {
            padding: 12px 12px;
            order: 3;
        }

        &:hover {
            background-color: $main-7;
            border: 1px solid $main-7;
        }
    }

    .document-search {
        display: none;
        margin-bottom: 16px;
    
        @media (max-width: 1024px) {
            display: flex;
            padding: 16px 12px;
        }

        @media (max-width: 576px) {
            // width: 100%;
            padding: 12px 12px;
            margin-bottom: 0;
        }

        @media (max-width: 428px) {
            padding: 12px 16px;
        }
    }
}

.show-more__block {
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    border-left: 1px solid $main-4;
    border-right: 1px solid $main-4;
    border-bottom: 1px solid $main-4;
    display: flex;
    grid-gap: 8px;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: $main-0;
    padding: 16px;

    @media (max-width: 576px) {
        flex-direction: column;

        .light__button {
            width: 100%;
        }
    }


}
